View Issue Details

IDProjectCategoryView StatusLast Update
0016371MediaMonkey 5Track Browserpublic2021-05-24 15:46
Reporterrusty Assigned To 
PriorityhighSeverityminorReproducibilityalways
Status assignedResolutionopen 
Product Version5.0 
Target Version5.1 
Summary0016371: Switching views expands / changes selection
DescriptionSwitching views causes selection to change in two ways:
- Browser view tracks selection independently of other views
- Switching to a Grid view causes selection to be expanded to include all tracks in a Grid node (rather than the subset of tracks in the node that were originally selected)

e.g.
1 In Genres > Alternative [List], select 2 tracks from Album A and 2 tracks from Album B
2 Switch to [List (by album)] --> 4 tracks remain selected
3 Switch to [Browser] --> 0 tracks are selected! i.e. selection in Browser view is completely independent of the other 3 views!
4 Switch to [Grid (by album)] --> 2 albums / 16 tracks are selected ! i.e. MM changes the selection to include all of the tracks on Albums A and Album B!!
5 Switch back to [List] --> 16 tracks are selected!

Additional InformationOriginally reported at https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=95367 (item 3)

A side effect of this (Preview window changing when switching views) was raised at https://www.mediamonkey.com/forum/viewtopic.php?p=480741#p480741
TagsNo tags attached.
Fixed in build

Relationships

related to 0017787 newLudek Preview [Selected] fails to update when switching to a new tab that should display a blank preview 
related to 0017795 closedpetr Preview [Selected] fails to update in List (by album) views 
related to 0017844 closedmichal Arrow keys don't navigate between items correctly in some views 
related to 0017849 closedmichal TAB key navigation can be confusing in the main panel 

Activities

Ludek

2020-02-21 20:27

developer   ~0056802

Last edited: 2020-02-21 21:01

View 4 revisions

I am a little bit confused here about what should be done.

From what I see the original issue (item #3 here https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=95367 )
is resolved, because selecting albums in the "Grid (by Album)" keeps the album files selected also after switching to "List" and back to "Grid (by Album)"

As for the bug described by Rusty: We have nothing like "partial album selection" in the "Grid (by Album)" view so I am not sure what the solution should be?
I see that other apps mostly just cancels/clears the selection after switching the view types.
Another choice would be to share the selection only between compatible views (e.g. "List" and ""List (by Album)")
But in both cases the original issue reported by Barry would be broken (no longer fixed).
So I am not sure what is the expected behaviour here.

Moving target to 5.0.1 to collect some feedback at first and then decide.

rusty

2020-02-24 02:46

administrator   ~0056832

It's true that the originally reported issue 3 is fixed (selection of a grid element doesn't persist when switching to nodes with tracks), but the fix is problematic because now the opposite problem occurs (track selection is expanded when switching to a grid view).

As to what the expected behavior would be, I would generally expect that items should appear selected if they've been selected:
- Selection of a Grid View tile represents selection of all the tracks represented by that tile, so selection of those tracks should therefore persist when switching to other views, and selection of the Tile should persist when switching to a Browser view.
- Selection of Tracks in a list view should persist across other views with tracks, and should trigger selection of a Browser/Grid view tile if all the tracks represented by the tile are selected
- Selection of a Tile in Browser view represents selection of all the tracks represented by that tile, so selection of those tracks should therefore persist when switching to other views, and selection of the Tile should persist when switching to a Grid view.

The main complications with this approach may be in the Browser view because to be consistent with the above:
- Selection of Artists tiles should automatically trigger selection of the corresponding Album tiles and Tracks in the view
- Selection of Album tiles should automatically trigger selection of the corresponding Tracks in the view
I suspect that this may be too complex to implement without causing other issues, so we may have to pursue an implementation that only works one way (i.e. in which Track selections and Tile selections are both persisted, and track selections representing selected tiles are shown for views missing Tiles--i.e. selecting all the tracks in an album wouldn't cause a tile to be selected).

rusty

2021-05-10 00:35

administrator   ~0063112

A related issues (that's been previously discussed, though I can't find where atm) is an issue raised by Barry at https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=98897 :

Switching to different nodes/views sometimes results in selection of an item, and sometimes not--the result being that the Preview window doesn't consistently update. This needs to be reviewed to determine exactly which node-view combinations are problematic.

rusty

2021-05-24 15:46

administrator   ~0063416

More on this at https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=99117